Bug 1413839 - OpenShift version format should be like v3.5.0.5, not v3.5.0.5+8f2840d
Summary: OpenShift version format should be like v3.5.0.5, not v3.5.0.5+8f2840d
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Troy Dawson
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 05:59 UTC by Weihua Meng
Modified: 2017-07-24 14:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1401847
Environment:
Last Closed: 2017-03-02 21:09:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Troy Dawson 2017-01-19 16:41:34 UTC
I'm not sure why this isn't still fixed for 3.5, but it isn't.

Comment 2 Troy Dawson 2017-01-27 14:48:44 UTC
The process that origin, and thus OCP/atomic-openshift, sets these variables is being re-worked.  It will be another week before any progress is seen on this bug.

Comment 3 Brenton Leanhardt 2017-02-21 19:11:47 UTC
Hi Troy, Any update on this?  Have the changes landed upstream?

Comment 4 Troy Dawson 2017-02-21 20:06:25 UTC
The changes did land upstream, causing different changes.  But now I can work with them and get them fixed.

Comment 5 Troy Dawson 2017-02-21 21:31:59 UTC
Fixed with this pull request.
https://github.com/openshift/ose/pull/624

Comment 6 Troy Dawson 2017-02-23 20:59:42 UTC
Pull request went through.

Comment 7 Troy Dawson 2017-02-23 21:22:25 UTC
This has been merged into ocp and is in OCP v3.5.0.33 or newer.

Comment 8 Weihua Meng 2017-02-24 02:53:07 UTC
Verified on both RPM and image.
Fixed.
# openshift version
openshift v3.5.0.33
kubernetes v1.5.2+43a9be4
etcd 3.1.0

Comment 9 Troy Dawson 2017-03-02 21:09:31 UTC
This never made it to the customers, thus doesn't need to be in an errata.  Closing.


Note You need to log in before you can comment on or make changes to this bug.